> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Fireblocks Stablecoin Payroll Integration Status

> Returns the org's Fireblocks stablecoin payroll integration status flags from the database.

Required scope: `integrations:read`

## OpenAPI

````yaml api-reference/openapi.json GET /tga/get-fireblocks-stablecoin-payroll-integration-status
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /tga/get-fireblocks-stablecoin-payroll-integration-status:
    get:
      operationId: getFireblocksStablecoinPayrollIntegrationStatus
      summary: Get Fireblocks Stablecoin Payroll Integration Status
      x-toku-required-scope: integrations:read
      description: >-
        Returns the org's Fireblocks stablecoin payroll integration status flags
        from the database.


        Required scope: `integrations:read`
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/GetFireblocksStablecoinPayrollIntegrationStatusResponse
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    GetFireblocksStablecoinPayrollIntegrationStatusResponse:
      type: object
      properties:
        hasIntegration:
          type:
            - boolean
            - 'null'
        integrationInProgress:
          type:
            - boolean
            - 'null'
        hasGeneratedKeyPair:
          type:
            - boolean
            - 'null'
        hasApiKey:
          type:
            - boolean
            - 'null'
        isConfigured:
          type:
            - boolean
            - 'null'
        vaultAccountId:
          type:
            - string
            - 'null'
        fireblocksSignerKey:
          type:
            - string
            - 'null'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
